namespace Application.Features.Api.MyPage.GetPosts;

public sealed record Response(
    List<PostItem> List,
    int Total,
    int Page,
    int PerPage
);

public sealed record PostItem(
    int Num,
    int ID,
    int BoardID,
    string BoardName,
    string Subject,
    int Views,
    int Likes,
    int Comments,
    DateTime CreatedAt
);